.contenido.contenido--curso {
  display: none;
  position: relative;
}

.contenido.contenido--curso.contenido--activo{
    display: block;
}

.contenido.contenido--curso h2{
    margin: 10px 0px;
}

.contenedor-curso{
    display: grid;
    gap: 20px;
    padding: 20px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    max-width: 1200px; /* limita a 3 columnas aprox */
    margin: 0 auto;
}


.tarjeta-archivo {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #ffffff;
    border-radius: 12px;
    padding: 16px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    transition: transform 0.2s ease;
}

.icono-archivo {
    font-size: 40px;
    text-align: center;
    margin-bottom: 10px;
}

.titulo-archivo {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 8px;
    text-align: center;
}

.info-archivo {
    font-size: 14px;
    color: #666;
    text-align: center;
    margin-bottom: 12px;
}

.boton-descargar {
    margin-top: auto;
    padding: 10px;
    border: none;
    border-radius: 8px;
    background: #007bff;
    color: white;
    cursor: pointer;
    transition: background 0.2s;
}

.boton-descargar:hover {
    background: #0056b3;
}

.icono-archivo img{
    height: 60px;
    width: 50px;
}

#btnRealizarCuestionario{
    display:block;
    margin:30px auto;
    padding:12px 25px;
    font-size:16px;
    background:#007BFF;
    color:white;
    border:none;
    border-radius:5px;
    cursor:pointer;
    transition: background 0.2s;
}

#btnRealizarCuestionario:hover{
    background:#0056b3;
}

.curso__estado{
    font-size: 14px;
    font-weight: bold;
    padding: 5px 10px;
    border-radius: 6px;
    margin: 0px 10px 0px 0px;
    border: 2px solid transparent;
    height: 35px;
}

.curso__aviso{
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.curso__cabecera{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.curso__cuestionario {
    display: flex;
    text-align: center;
    font-weight: bold;
    margin: 20px auto 0px;
    border-radius: 10px;
    width: 100%;
    height: 50px;
    justify-content: center;
    align-items: center;
}

